Subject: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

From: [email-masked]
Date: Sun, 15 Jul 2012 18:29:03 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Network-Based Mobility Extensions Working Group of the IETF.

	Title           : Prefix Delegation for Proxy Mobile IPv6
	Author(s)       : Xingyue Zhou
                          Jouni Korhonen
                          Carl Williams
                          Sri Gundavelli
                          Carlos J. Bernardos
	Filename        : draft-ietf-netext-pd-pmip-03.txt
	Pages           : 16
	Date            : 2012-07-15

Abstract:
   Proxy Mobile IPv6 enables IP mobility for a host without requiring
   its participation in any mobility signaling, being the network
   responsible for managing IP mobility on behalf of the host.  However,
   Proxy Mobile IPv6 does not support assigning a prefix to a router and
   managing its IP mobility.  This document specifies an extension to
   Proxy Mobile IPv6 protocol for supporting network mobility using
   DHCPv6-based Prefix Delegation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netext-pd-pmip

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-netext-pd-pmip-03

A diff from previous version is available at:
http://tools.ietf.org/rfcdiff?url2=draft-ietf-netext-pd-pmip-03

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: BOC Michael <[email-masked]>
Date: Mon, 16 Jul 2012 09:12:56 +0000

Hello all,

Concerning this draft, I would like to know why you need to set the R flag in PBU 
(because you don't explain it in the draft) and if your approach is to not take 
into account possible hints in IA_PD(s). If this is the case, we just have to provide 
MNP(s) at MR attachment with the HNP(s) and we move on another subject.   

Regards,

Michael

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la
> part de [email-masked]
> Envoyé : lundi 16 juillet 2012 03:29
> À : [email-masked]
> Cc : [email-masked]
> Objet : [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt
> 
> 
> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: [email-masked]
Date: Fri, 20 Jul 2012 10:21:13 +0800

Hi,

The purpose of setting R flag is to indicate the network that network 
mobility service is allowed to the mobile node as specified in section 
3.2. In this draft, it just focus on the way to assign the MNP to the MR 
based on DHCPv6-PD triggering mechanism.

Regarding the possible hints in IA_PD(s), I dont get your point very much. 
Could you explain more?

Best Regards,
Joy

---

From: BOC Michael <[email-masked]>
Date: Fri, 20 Jul 2012 06:12:59 +0000

Hey,

Ok, now I understand that this draft is about using DHCPv6-PD signalling messages to trigger a specific behavior of PMIPv6 and not at all about using DHCPv6 and its PD extension to provide MNPs to PMIPv6 and by extension to the MR.

Two (more) efficient solutions for this approach:
1) You don't need DHCPv6 entities (delegating router, DHCPv6 relay and so on). You just need to intercept DHCPv6-PD related messages and to enhances LMA to deliver prefixes shorter than 64 bits.
2) You deliver HNPs and MNPs (with prefixes shorter than 64 bits) for every nodes. This is a couple of lines to add in RFC5213.

Our approach can then be seen as one step further in integrating a real DHCPv6 architecture in parallel of PMIPv6 to deliver MNPs to mobile routers.

Michael

________________________________
De : [email-masked] [[email-masked]]
Date d'envoi : vendredi 20 juillet 2012 04:21
À : BOC Michael
Cc : [email-masked]; [email-masked]; [email-masked]; [email-masked]
Objet : 答复: Re: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

Hi,

The purpose of setting R flag is to indicate the network that network mobility service is allowed to the mobile node as specified in section 3.2. In this draft, it just focus on the way to assign the MNP to the MR based on DHCPv6-PD triggering mechanism.

Regarding the possible hints in IA_PD(s), I dont get your point very much. Could you explain more?

Best Regards,
Joy

---

From: BOC Michael <[email-masked]>
Date: Fri, 20 Jul 2012 06:17:24 +0000

Hi,

By the way, if the MAG sends a MNPs option set to 0 in the PBU it is redundant to set a flag to understand it is for a mobile router.

Michael

Hi,

Best Regards,
Joy

---

From: [email-masked]
Date: Fri, 20 Jul 2012 14:24:55 +0800

Hello,

You can double check the draft which says the R flag is set during the 
initial attachment procedure.

Joy

BOC Michael <[email-masked]> 
2012-07-20 14:17

收件人
"[email-masked]" <[email-masked]>
抄送
"[email-masked]" <[email-masked]>, "[email-masked]" 
<[email-masked]>
主题
RE : Re: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

Hi, 

By the way, if the MAG sends a MNPs option set to 0 in the PBU it is 
redundant to set a flag to understand it is for a mobile router.

Michael

De : [email-masked] [[email-masked]]
Date d'envoi : vendredi 20 juillet 2012 04:21
À : BOC Michael
Cc : [email-masked]; [email-masked]; [email-masked]; 
[email-masked]
Objet : 答复: Re: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

Hi, 

Best Regards, 
Joy

---

From: [email-masked]
Date: Fri, 20 Jul 2012 14:32:58 +0800

Hi,

Please see inline below.

BOC Michael <[email-masked]> 写于 2012-07-20 14:12:59:

> Hey, 
> 
> Ok, now I understand that this draft is about using DHCPv6-PD 
> signalling messages to trigger a specific behavior of PMIPv6 and not
> at all about using DHCPv6 and its PD extension to provide MNPs to 
> PMIPv6 and by extension to the MR. 
> 
> 1) You don't need DHCPv6 entities (delegating router, DHCPv6 relay 
> and so on). You just need to intercept DHCPv6-PD related messages 
> and to enhances LMA to deliver prefixes shorter than 64 bits.
[Joy]Yes, you surely can do this. However, this is just a kind of 
implementation way while we work on a standard way.

> 2) You deliver HNPs and MNPs (with prefixes shorter than 64 bits) 
> for every nodes. This is a couple of lines to add in RFC5213.
[Joy]In our scenario, the MNP(s) are assigned only when the MR initiate 
the DHCPv6-PD procedure.

> 
> Our approach can then be seen as one step further in integrating a 
> real DHCPv6 architecture in parallel of PMIPv6 to deliver MNPs to 
> mobile routers.
> 
> Michael
> 

> 
> Hi, 
> 
> The purpose of setting R flag is to indicate the network that 
> network mobility service is allowed to the mobile node as specified 
> in section 3.2. In this draft, it just focus on the way to assign 
> the MNP to the MR based on DHCPv6-PD triggering mechanism. 
>

---

From: BOC Michael <[email-masked]>
Date: Fri, 20 Jul 2012 07:19:55 +0000

Joy,

Ok so I guess for you the initial attachment procedure is the PBU sent for HNPs. Right?
If so:
Do you mean you don’t set the flag in subsequent PBUs ?
Do you mean the LMA has to do something special when it receives the R flag that it will not do when receiving the MNP option set to zero?
Do you mean the check of policy profile for the MR is “stateless” (the MAG do not store the fact that the MR needs MNPs)?

Michael

De : [email-masked] [mailto:[email-masked]]
Envoyé : vendredi 20 juillet 2012 08:25
À : BOC Michael
Cc : [email-masked]; [email-masked]
Objet : 答复: RE : Re: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

Hello,

You can double check the draft which says the R flag is set during the initial attachment procedure.

Joy

BOC Michael <[email-masked]<mailto:[email-masked]>>

2012-07-20 14:17

收件人

"[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

抄送

"[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

主题

Hi,

Michael

De : [email-masked]<mailto:[email-masked]> [[email-masked]]
Date d'envoi : vendredi 20 juillet 2012 04:21
À : BOC Michael
Cc : [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Objet : 答复: Re: [netext] I-D Action: draft-ietf-netext-pd-pmip-03.txt

Hi,

Best Regards,
Joy

[email-masked]<mailto:[email-masked]> 写于 2012-07-16 17:12:56:

> > De : [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] De la
> > part de [email-masked]<mailto:[email-masked]>
> > À : [email-masked]<mailto:[email-masked]>
> > Cc : [email-masked]<mailto:[email-masked]>
> > [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>